package com.fs.ad.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.ad.mapper.AdUploadLogMapper;
import com.fs.ad.domain.AdUploadLog;
import com.fs.ad.service.IAdUploadLogService;

/**
 * 百度回传日志Service业务层处理
 * 
 * @author fs
 * @date 2025-03-14
 */
@Service
public class AdUploadLogServiceImpl extends ServiceImpl<AdUploadLogMapper, AdUploadLog> implements IAdUploadLogService {

    /**
     * 查询百度回传日志
     * 
     * @param id 百度回传日志主键
     * @return 百度回传日志
     */
    @Override
    public AdUploadLog selectAdUploadLogById(Long id)
    {
        return baseMapper.selectAdUploadLogById(id);
    }

    /**
     * 查询百度回传日志列表
     * 
     * @param adUploadLog 百度回传日志
     * @return 百度回传日志
     */
    @Override
    public List<AdUploadLog> selectAdUploadLogList(AdUploadLog adUploadLog)
    {
        return baseMapper.selectAdUploadLogList(adUploadLog);
    }

    /**
     * 新增百度回传日志
     * 
     * @param adUploadLog 百度回传日志
     * @return 结果
     */
    @Override
    public int insertAdUploadLog(AdUploadLog adUploadLog)
    {
        return baseMapper.insertAdUploadLog(adUploadLog);
    }

    /**
     * 修改百度回传日志
     * 
     * @param adUploadLog 百度回传日志
     * @return 结果
     */
    @Override
    public int updateAdUploadLog(AdUploadLog adUploadLog)
    {
        return baseMapper.updateAdUploadLog(adUploadLog);
    }

    /**
     * 批量删除百度回传日志
     * 
     * @param ids 需要删除的百度回传日志主键
     * @return 结果
     */
    @Override
    public int deleteAdUploadLogByIds(Long[] ids)
    {
        return baseMapper.deleteAdUploadLogByIds(ids);
    }

    /**
     * 删除百度回传日志信息
     * 
     * @param id 百度回传日志主键
     * @return 结果
     */
    @Override
    public int deleteAdUploadLogById(Long id)
    {
        return baseMapper.deleteAdUploadLogById(id);
    }
}
